@import "../../styles/setting.colors.scss", "../../styles/util.mixins.scss",
  "../../styles/setting.fonts.scss";

.page-header {
  position: relative;
  padding: 36px 0;
  z-index: 1;
  margin-bottom: 50px;

  &--center {
    text-align: center;
  }
  &--right {
    text-align: right;
  }

  &-bg {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    left: 0;
    top: 0;
    overflow: hidden;

    .bg {
      position: absolute;
      width: 100%;
      height: 200%;
      left: 0;
      top: 0;
      background-size: cover;
      top: -100%;

      &:before {
        content: " ";
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
        background: rgba($accent-color-1, 0.7);
        background: linear-gradient($accent-color-1, $accent-color-2);
        opacity: 0.4;
      }
    }
  }

  .page-title {
    @include em(64);
    line-height: 1;
    margin: 0 0 20px;
    font-family: $font-secondary;
    color: white;

    @media screen and (max-width: 480px) {
      @include em(48);
    }
  }
  .page-subtitle {
    @include em(18);
    font-weight: 300;
    color: rgba(white, 0.9);
  }
}
